# ilbmtoppm

Updated: 12 November 2014
Table Of Contents

## NAME

ilbmtoppm - convert an ILBM file into a PPM image

## SYNOPSIS

ilbmtoppm [-ignore<chunkID>] [ -isham | -isnotham | -isehb | -isnotehb | -isdeep | -isnotdeep ] [-cmaponly] [-adjustcolors] [-transparent color] [-maskfile filename [-verbose] [ILBMfile]

## DESCRIPTION

This program is part of Netpbm.

ilbmtoppm reads an IFF ILBM file as input and produces a PPM image as output. ilbmtoppm can handle the following ILBM types:

- Normal ILBMs with 1-16 planes.
- Amiga Extra_Halfbrite (EHB)
- Amiga HAM with 3-16 planes.
- 24 bit.
- Multiplatte (normal or HAM) pictures.
- Color map (BMHD + CMAP chunk only, nPlanes = 0).
- Unofficial direct color. 1-16 planes for each color component.

ilbmtoppm uses these ILBM chunks: BMHD, CMAP, CAMG (only HAM & EHB flags used), PCHG, BODY unofficial DCOL chunk to identify direct color ILBM. It ignores these chunks: GRAB, DEST, SPRT, CRNG, CCRT, CLUT, DPPV, DRNG, EPSF. It ignores, but displays in verbose mode, these: NAME, AUTH, (c), ANNO, DPI. It skips chunks whose type it doesn't recognize.

## OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see Common Options), ilbmtoppm recognizes the following command line options:

-transparent color
  This is the color that should "show through" in places where the image is transparent.

  color is like the argument of the pnm_parsecolor() library routine.

-verbose
  Give some information about the ILBM file.
-ignore chunkID
  Skip a chunk. chunkID is the 4-letter IFF chunk identifier of the chunk to be skipped.
-isham | -isehb
  Treat the input file as a HAM or Extra_Halfbrite picture, even if these flags are not set in the CAMG chunk (or if there is no CAMG chunk).
-maskfile filename
  This names a file for ilbmtoppm to create with the image's transparency mask. The mask file is a PBM image which maps to the input image with white pixels representing transparent pixels in the image and black pixels representing opaque pixels.

  If you don't specify this, or the image does not contain transparency information, ilbmtoppm does not create a mask file.

-cmaponly
  With this option, ilbmtoppm generates a PPM of the ILBM's color map, not the image itself.

  ilbmtoppm does the same thing even without -cmaponly if the ILBM is a pure color map stream (it has a bitmap header with an nplanes value of zero or has no BODY chunk.

-adjustcolors
  If all colors in the CMAP have a value of less then 16, ilbmtoppm assumes a 4-bit colormap and gives a warning. With this option the colormap is scaled to 8 bits.

## LIMITATIONS

The multipalette PCHG BigLineChanges and Huffman decompression code is untested.

## REFERENCES

Amiga ROM Kernel Reference Manual - Devices (3rd Ed.) Addison Wesley, ISBN 0-201-56775-X

## SEE ALSO

ppmtoilbm, ppm

## AUTHORS

Copyright (C) 1989 by Jef Poskanzer.

Modified October 1993 by Ingo Wilken (Ingo.Wilken@informatik.uni-oldenburg.de)

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- LIMITATIONS
- REFERENCES
- SEE ALSO
- AUTHORS